Add items to wishlist
1 min
POST
https://api.upstartcommerce.com/wishlist/batch/{wishListId}/items
wishListIdstringWishList Id to fetch the full wishlist.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
consumerIdstringConsumer Id to fetch the wishlists.
If-Matchstring<p>The ETag of the resource to update. If the conditional does not match then the 412 (Precondition Failed) response is returned.</p>
if-unmodified-sincestring<date-time><p>In the case of modifying a resource, this header is sent in the request to indicate when the resource was last pulled-support optimistic locking.
See also the "lastModified" value in the associated resource. This value should be pulled from last state of the resource and set as the value of this request.</p>
bodyarrayModel of each wishlist item
200OK
207<p>Partial success multi-status</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
412<p>This is to indicate that the precondition of etag or if-modified-since has failed.</p>
415This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
422<p>This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.</p>
500There was an internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/wishlist/batch/{wishListId}/items \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--header 'consumerid: string' \
--header 'if-unmodified-since: 2017-07-21T17:32:28Z' \
--data '[
{
"skuId": "",
"itemId": "",
"name": "",
"quantity": 1
}
]'